partbrowser
===============================

Widget to visualise X3D cad models

Installation
------------

To install use pip:

    $ pip install partbrowser
    $ jupyter nbextension enable --py --sys-prefix partbrowser

To install for jupyterlab

    $ jupyter labextension install partbrowser

For a development installation (requires npm),

    $ git clone https://github.com/drewsherlock/partbrowser.git
    $ cd partbrowser
    $ pip install -e .
    $ jupyter nbextension install --py --symlink --sys-prefix partbrowser
    $ jupyter nbextension enable --py --sys-prefix partbrowser
    $ jupyter labextension install js

When actively developing your extension, build Jupyter Lab with the command:

    $ jupyter lab --watch

This take a minute or so to get started, but then allows you to hot-reload your javascript extension.
To see a change, save your javascript, watch the terminal for an update.

Note on first `jupyter lab --watch`, you may need to touch a file to get Jupyter Lab to open.

